#include <stdio.h>
#include <stdlib.h>
#include "rspell.h"

int main(int argc, char **argv)
{
char *tword;

	if (argc != 2)
	{
		printf("ERROR:\n\tSyntax is\n\t./example [WORD]\n");
		exit(1);
	}
	else
	{
		tword = argv[1];
	}

	/*
	* Initialise the first dictionary
	*/
	init_dictionary("wordlist1");
	add_user_dictionary("userlist");
	printf("Is \"%s\" in wordlist 1? ",tword);
	/*
	* Do the spell check
	*/
	if (rspell_check(tword))
	{
		printf("Yes\n");
	}
	else
	{
		printf("No\n");
	}
	
	/*
	* Free the memory used by the dictionary
	*/
	remove_dictionary();
	
	/*
	* Initialise the second dictionary
	*/
	init_dictionary("wordlist2");
	add_new_word_temp("LetTer");	/*This will be added as "letter"*/
	printf("Is \"%s\" in wordlist 2? ",tword);
	/*
	* Do the spell check
	*/
	if (rspell_check(tword))
	{
		printf("Yes\n");
	}
	else
	{
		printf("No\n");
	}
	
	/*
	* Free the memory used by the dictionary
	*/
	remove_dictionary();

	return 0;
}
