/********************************************************************
* Copyright Richard Jones June 2002
This file is part of the rspell library.

    The rspell library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*********************************************************************/
#include <stdio.h>
#include <string.h>
#include "hash.h"

/*
* Return the hash function of the null terminated string
*/
HASH hash(char *str)
{
HASH hash_val=0;
int length;
int i;
char *pchr;

	length =strlen (str);
	
	/*hash each of the characters in the string except the null terminator*/
	for (i=1, pchr=str ; i<length ; i++, pchr++)
	{
		hash_val ^= ((hash_val << 7) + (hash_val >> 1) + *pchr);
	}

#ifndef NDEBUG
/*	printf("Hash value for %s = %d\n", str, hash_val);*/
#endif

	return hash_val;
}
