/********************************************************************
* Copyright Richard Jones June 2002
This file is part of the rspell library.

    The rspell library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*********************************************************************/
#ifndef __LINK_H
#define __LINK_H

#ifdef __cplusplus
extern ("C")
{
#endif

/*
* Since the things stored in the list are pointers to NULL,
* we need some macros to convert from one to another
*/
#include <stdio.h>
#define TO_VOIDP(A)		(void *)(A)
#define TO_CHARP(A)	(char *)(A)
#define TO_HASHP(A)		(HASH *)(A)

/*
* Define types used for linked list s of strings
*/

typedef struct link_node {
	struct link_node *next;
	void *word;
}LINK_NODE;

/*
* Define functions for use with links
*/
LINK_NODE *add_node(LINK_NODE *, void *);
int nodes_in_list(LINK_NODE *);
int remove_list(LINK_NODE *);
void remove_words_from_list(LINK_NODE *);

/*Used for debug stuff*/
#ifndef NDEBUG
extern long num_collisions;
#endif

#ifdef __cplusplus
}
#endif

#endif
