/********************************************************************
* Copyright Richard Jones June 2002
This file is part of the rspell library.

    The rspell library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*********************************************************************/
#ifndef __RSPELL_H
#define __RSPELL_H

#if _cplusplus
extern ("C")
{
#endif

/*
* These are the functions used by the program that wants
* to do spell checking.
* init_dictionary must be called first
*/
extern int init_dictionary(char *);/* returns 0 = failure, 1 = success*/
extern int add_user_dictionary(char *);	/*returns 0 = failure, 1 = success*/
extern int rspell_check(char *);	/* returns 0 = not correct, 1 = correct*/
extern int add_new_word_temp(char *);	/*returns 0 = failure, 1 = success*/
extern int add_new_word_perm(char *,char*);/*returns 0 = failure, 1 = success*/
extern void remove_dictionary();

#if _cplusplus
}
#endif


#endif
